Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 918896 - dev-qt/*:6 rekeywording (2nd batch)
Summary: dev-qt/*:6 rekeywording (2nd batch)
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 919060
Blocks:
  Show dependency tree
 
Reported: 2023-11-30 11:22 UTC by Ionen Wolkens
Modified: 2024-03-01 01:25 UTC (History)
5 users (show)

See Also:
Package list:
dev-qt/qt5compat:6 ~sparc dev-qt/qtimageformats:6 ~sparc dev-qt/qtmultimedia:6 ~sparc dev-qt/qtserialport:6 ~sparc dev-qt/qtsvg:6 ~sparc
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ionen Wolkens gentoo-dev 2023-11-30 11:22:57 UTC
2nd (minimal) set of extra dev-qt/* needed for USE=qt6 unmasking
on arches where qtbase:6 is available. Will leave other packages
for later, want to minimize issues at the moment.

Does not count qutebrowser[qt6] and gpsbabel[qt6] due to qtwebengine.
Leaving that up to calibre's bug #907080 instead given similar deps.

sci-astronomy/stellarium[webengine] will get a mask for ppc64 instead,
not going to consider that at the moment as it likely need patches.

sparc and riscv missed the boat and are excluded for now.

ppc64 should be coming soon wrt bug #914026 given issues should be resolved.

assimp is currently masked on big-endian so nattka should complain,
waiting to hear of what's up with that (needed by qtmultimedia->qtquick3d->assimp chain, albeit qtquick3d could be avoided by masking qtmultimedia[qml]).
Comment 1 NATTkA bot gentoo-dev 2023-11-30 11:24:11 UTC Comment hidden (obsolete)
Comment 2 Larry the Git Cow gentoo-dev 2023-11-30 15:59:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a240fe7e12286d0983888bf79bad5c3ca0f8f26

commit 7a240fe7e12286d0983888bf79bad5c3ca0f8f26
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2023-11-30 15:44:27 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2023-11-30 15:49:45 +0000

    profiles/features/big-endian: unmask media-libs/assimp
    
    Bug: https://bugs.gentoo.org/918896
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 profiles/features/big-endian/package.mask | 1 -
 1 file changed, 1 deletion(-)
Comment 3 NATTkA bot gentoo-dev 2023-11-30 16:04:25 UTC Comment hidden (obsolete)
Comment 4 Ionen Wolkens gentoo-dev 2023-12-01 06:57:49 UTC
Adding sparc
Comment 5 Ionen Wolkens gentoo-dev 2023-12-01 07:08:13 UTC
Think can go forward with this, will consolidate what's left for riscv in a later bug.
Comment 6 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-01 10:57:37 UTC
arm done
Comment 7 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-01 10:57:39 UTC
arm64 done
Comment 8 Ionen Wolkens gentoo-dev 2023-12-01 23:04:49 UTC
Adding riscv.
Comment 9 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-02 10:57:18 UTC
ppc done
Comment 10 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-02 10:57:19 UTC
ppc64 done
Comment 11 Jakov Smolić archtester gentoo-dev 2023-12-03 20:48:39 UTC
riscv done
Comment 12 Joonas Niilola gentoo-dev 2023-12-05 07:25:11 UTC
x86 done
Comment 13 matoro archtester 2023-12-14 06:45:40 UTC
assimp test fail on hppa

[----------] 3 tests from utglTFImportExport
[ RUN      ] utglTFImportExport.importglTFFromFileTest
Info,  T0: Load /var/tmp/portage/media-libs/assimp-5.2.5-r1/work/assimp-5.2.5/test/models/glTF/TwoBoxes/TwoBoxes.gltf
Debug, T0: Assimp 5.2.0 <unknown architecture> gcc debug singlethreadedsingle : 
Info,  T0: Found a possible importer: glTF Importer; trying signature-based detection
Info,  T0: Found a matching importer for this file format: glTF Importer.
Info,  T0: Import root directory is '/var/tmp/portage/media-libs/assimp-5.2.5-r1/work/assimp-5.2.5/test/models/glTF/TwoBoxes/'
ai_assert failure in /var/tmp/portage/media-libs/assimp-5.2.5-r1/work/assimp-5.2.5/code/AssetLib/glTF/glTFImporter.cpp(441): validRes
/var/tmp/portage/media-libs/assimp-5.2.5-r1/temp/environment: line 2136:    23 Aborted                 "${BUILD_DIR}/bin/unit"
Comment 14 Ionen Wolkens gentoo-dev 2023-12-14 15:08:53 UTC
(In reply to matoro from comment #13)
> assimp test fail on hppa
Please file separate bugs for test failures and block this one.

If nobody figures out what's up with it, I could mask USE=qml on qtmultimedia for hppa as a temporary solution though (removes the need for qtquick3d->assimp).
Comment 15 Ionen Wolkens gentoo-dev 2023-12-14 15:31:49 UTC
(In reply to Ionen Wolkens from comment #14)
> (In reply to matoro from comment #13)
> > assimp test fail on hppa
> Please file separate bugs for test failures and block this one.
> 
> If nobody figures out what's up with it, I could mask USE=qml on
> qtmultimedia for hppa as a temporary solution though (removes the need for
> qtquick3d->assimp).
fwiw neither qt3d nor qtquick3d (both need assimp) were ever keyworded for hppa, nor were any packages depending on qtmultimedia:5[qml], so it shouldn't be much of an issue to leave it masked too. Having a bugref for the mask be nice though.
Comment 16 Ionen Wolkens gentoo-dev 2023-12-14 15:39:09 UTC
Hm, alternatively I could do add a USE=spatialaudio and split off quick3d from qml. Guess that sounds better.
Comment 17 Ionen Wolkens gentoo-dev 2023-12-14 15:47:26 UTC
(In reply to Ionen Wolkens from comment #16)
> Hm, alternatively I could do add a USE=spatialaudio and split off quick3d
> from qml. Guess that sounds better.
Or no.. I think that's messy, spatialaudio support is there by default but would be missing only for qml (more specifically it should be qml-spatialaudio or so).
Comment 18 WANG Xuerui gentoo-dev 2024-01-02 16:26:59 UTC
loong done
Comment 19 matoro archtester 2024-01-25 01:21:08 UTC
hppa done
Comment 20 Larry the Git Cow gentoo-dev 2024-01-27 06:46:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b8f72a0333f89ac5d03dfdeaf5718aed9b0cb5a

commit 5b8f72a0333f89ac5d03dfdeaf5718aed9b0cb5a
Author:     Ionen Wolkens <ionen@gentoo.org>
AuthorDate: 2024-01-27 05:26:37 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2024-01-27 06:46:41 +0000

    profiles: re-arrange USE=qt6 masks, unmask where possible
    
    Follow-up to bug #918896 which keyworded requirements for unmasking
    on most arches (sparc is still pending, so remains masked for now).
    
    Note that still use.stable.masked where needed, stabilizations will
    wait a bit to see if any trouble arises in ~arch from unmasking.
    
    If add new IUSE=qt6 and missing a dependency, ideally please file
    (re)keywordreqs as needed rather than mask (unless need qtwebengine).
    
    Bug: https://bugs.gentoo.org/918896
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 profiles/arch/alpha/use.mask                             | 1 +
 profiles/arch/amd64/package.use.mask                     | 4 ++++
 profiles/arch/amd64/package.use.stable.mask              | 4 ++++
 profiles/arch/amd64/use.mask                             | 6 ------
 profiles/arch/arm/use.stable.mask                        | 4 ++++
 profiles/arch/arm64/package.use.mask                     | 4 ++++
 profiles/arch/arm64/package.use.stable.mask              | 4 ++++
 profiles/arch/arm64/use.stable.mask                      | 4 ++++
 profiles/arch/base/package.use.mask                      | 3 +++
 profiles/arch/hppa/use.stable.mask                       | 4 ++++
 profiles/arch/ia64/use.mask                              | 1 +
 profiles/arch/m68k/use.mask                              | 1 +
 profiles/arch/mips/use.mask                              | 1 +
 profiles/arch/powerpc/ppc64/64le/package.use.mask        | 6 ++++++
 profiles/arch/powerpc/ppc64/64le/package.use.stable.mask | 4 ----
 profiles/arch/powerpc/use.stable.mask                    | 4 ++++
 profiles/arch/s390/use.mask                              | 1 +
 profiles/arch/sparc/use.mask                             | 6 +++++-
 profiles/arch/x86/use.stable.mask                        | 4 ++++
 profiles/base/use.mask                                   | 7 -------
 20 files changed, 55 insertions(+), 18 deletions(-)
Comment 21 Ionen Wolkens gentoo-dev 2024-02-13 17:18:51 UTC
If more packages end up causing sparc trouble, may mask USE=qt6 on specific packages to reduce the depgraph.

Main goal here is just to get rid of the USE=qt6 global masks, other needs can be revisited later.
Comment 22 Ionen Wolkens gentoo-dev 2024-02-14 06:45:31 UTC
Reducing list due to qtquicktimeline and qtpositioning apparently failing on sparc. Latter was keyworded on sparc for qt5 but is not currently needed, former was actually meant to be removed alongside qtquick3d.
Comment 23 matoro archtester 2024-03-01 01:25:58 UTC
I've opened https://github.com/qt/qt5compat/issues/3 upstream w.r.t. qt5compat, but I'm skeptical it will get an answer.